FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 05-22-2008, 02:13 PM
Daniel Burrows
 
Default Python problems with a lot of applications.

On Thu, May 22, 2008 at 03:46:29PM +0100, Dark Nebula <x03@shango.hopto.org> was heard to say:
> I have a lot of "applications" broken, and seems the problem is all the
> same, i suppose.
> for example when i try launch the applet "gmail-notify" i get:
>
> *nn@Koad:~$ gmail-notify
> Traceback (most recent call last):
> File "./notifier.py", line 4, in <module>
> import pygtk
> ImportError: No module named pygtk
> nn@Koad:~$
[sbip]
> ii python-gobject 2.14.1-6
> Python bindings for the GObject library
> ii python-gobject-dev 2.14.1-6
> Development headers for the GObject Python b
[snip]

Does the file

/usr/share/python-support/python-gobject/pygtk.py

exist on your system?

What do these commands output?

ls /var/lib/python-support
find /var/lib/python-support name pygtk.pyc

Daniel


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 05-22-2008, 02:18 PM
Axel Freyn
 
Default Python problems with a lot of applications.

Hello Dark,
On Thu, May 22, 2008 at 03:46:29PM +0100, Dark Nebula wrote:
> [ python does not find "pygtk" and "gtk" ]
> [ ... ]
> *I have a lot of packages installed for python:
> [...]
> ii python-gtk2 2.12.1-3
> ii python-gtk2-dev 2.12.1-3
> [...]
these two should already be sufficient for gtk-support
> Someone have ideia how to solve this problem(s) ?
What is the output, when you start "python" and do
import sys
print sys.path
?
That will print the list of directories, where python looks for its modules.
There you should have the files "pygtk.py" and "pygtk.pyc" (the .py-File is
the source code, ths .pyc is already precompiled).
On my machine, these files are in
/var/lib/python-support/python2.4/pygtk.py[c]

If theses files are missing, try reinstalling python-gtk2.


HTH,

Axel


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 05-22-2008, 02:46 PM
Dark Nebula
 
Default Python problems with a lot of applications.

hallo all,



I have a lot of "applications" broken, and seems the problem is all the
same, i suppose.

for example when i try launch the applet "gmail-notify" i get:



nn@Koad:~$ gmail-notify

Traceback (most recent call last):

* File "./notifier.py", line 4, in <module>

*** import pygtk

ImportError: No module named pygtk

nn@Koad:~$





Other example is the gdesklets:



nn@Koad:~$ gdesklets

Traceback (most recent call last):

* File "/usr/bin/gdesklets", line 3, in <module>

*** from main import client, DISPLAY, HOME, USERHOME

* File "/usr/lib/gdesklets/main/__init__.py", line 3, in <module>

*** import utils

* File "/usr/lib/gdesklets/utils/__init__.py", line 3, in <module>

*** import gtk

ImportError: No module named gtk

nn@Koad:~$



I have a lot of packages installed for python:



nn@Koad:~$ dpkg -l | grep -i python

ii* awn-applets-python-core**********************
0.2.6-2************************* A collection of applets for
avant-window-nav

ii* libboost-python1.34.1************************
1.34.1-11*********************** Boost.Python Library

ii* python***************************************
2.5.2-1************************* An interactive high-level
object-oriented la

ii* python-alsaaudio*****************************
0.2-1+b1************************ Alsa bindings for Python

ii* python-apt***********************************
0.7.5*************************** Python interface to libapt-pkg

ii* python-awn***********************************
0.2.6-5************************* Python bindings for
avant-window-navigator l

ii* python-awn-extras****************************
0.2.6-2************************* Python bindings for
avant-window-navigator's

ii* python-awnlib********************************
0.2.6-2************************* Python utilities for
avant-window-navigator'

ii* python-beagle********************************
0.3.5-1+b1********************** Python bindings for beagle

ii* python-cairo*********************************
1.4.12-1************************ Python bindings for the Cairo vector
graphic

ii* python-central*******************************
0.6.6*************************** register and build utility for Python
packag

ii* python-chardet*******************************
1.0.1-1************************* universal character encoding detector

ii* python-compizconfig**************************
0.7.5+git20080425.shame-1******* Python bindings for the Compiz
Configuration

ii* python-crypto********************************
2.0.1+dfsg1-2.1***************** cryptographic algorithms and protocols
for P

ii* python-ctypes********************************
1.0.2-5************************* Python package to create and
manipulate C da

ii* python-dbus**********************************
0.82.4-2************************ simple interprocess messaging system
(Python

ii* python-dev***********************************
2.5.2-1************************* Header files and a static library for
Python

ii* python-elementtree***************************
1.2.6-12************************ Light-weight toolkit for XML processing

ii* python-feedparser****************************
4.1-10************************** Universal Feed Parser for Python

ii* python-foomatic******************************
0.7.7-0.2*********************** Python interface to the Foomatic
printer dat

ii* python-fpconst*******************************
0.7.2-4************************* Utilities for handling IEEE 754
floating poi

ii* python-gdata*********************************
1.0.9-1************************* Google Data Python client library

ii* python-glade2********************************
2.12.1-3************************ GTK+ bindings: Glade support

ii* python-gmenu*********************************
2.22.1-3************************ an implementation of the freedesktop
menu sp

ii* python-gnome2********************************
2.22.0-1************************ Python bindings for the GNOME desktop
enviro

ii* python-gnome2-desktop************************
2.22.0-1************************ Python bindings for the GNOME desktop
enviro

ii* python-gnome2-extras*************************
2.14.3-1+b1********************* Python bindings for the GNOME desktop
enviro

ii* python-gnome2-extras-dev*********************
2.14.3-1************************ Python bindings for the GNOME desktop
enviro

ii* python-gnupginterface************************
0.3.2-9************************* Python interface to GnuPG (GPG)

ii* python-gobject*******************************
2.14.1-6************************ Python bindings for the GObject library

ii* python-gobject-dev***************************
2.14.1-6************************ Development headers for the GObject
Python b

ii* python-gst0.10*******************************
0.10.11-1*********************** generic media-playing framework
(Python bind

ii* python-gtk2**********************************
2.12.1-3************************ Python bindings for the GTK+ widget set

ii* python-gtk2-dev******************************
2.12.1-3************************ GTK+ bindings: devel files

ii* python-gtk2-doc******************************
2.12.1-3************************ Python bindings for the GTK+ widget
set - do

ii* python-gtkmvc********************************
1.2.1-3************************* model-view-controller (MVC)
implementation f

ii* python-gtkmvc-doc****************************
1.2.1-3************************* pygtkmvc documentation, tutorial and
example

ii* python-gtksourceview2************************
2.2.0-1+b1********************** Python bindings for the GtkSourceView
widget

ii* python-imaging*******************************
1.1.6-2************************* Python Imaging Library

ii* python-ipy***********************************
1:0.56-1************************ Python module for handling IPv4 and
IPv6 add

ii* python-libxml2*******************************
2.6.32.dfsg-2******************* Python bindings for the GNOME XML
library

ii* python-minimal*******************************
2.5.2-1************************* A minimal subset of the Python
language (def

ii* python-newt**********************************
0.52.2-11.2********************* A NEWT module for Python

ii* python-notify********************************
0.1.1-2+b1********************** Python bindings for libnotify

ii* python-numeric*******************************
24.2-8.2************************ Numerical (matrix-oriented)
Mathematics for

ii* python-openssl*******************************
0.7-1*************************** Python wrapper around the OpenSSL
library

ii* python-pam***********************************
0.4.2-12************************ A Python interface to the PAM library

ii* python-pyopenssl*****************************
0.7-1*************************** transitional dummy package

ii* python-pyorbit*******************************
2.14.3-2************************ A Python language binding for the
ORBit2 COR

ii* python-pysqlite2*****************************
2.4.1-1************************* Python interface to SQLite 3

ii* python-qt3***********************************
3.17.4-1************************ Qt3 bindings for Python

ii* python-selinux*******************************
2.0.59-1************************ Python bindings to SELinux shared
libraries

ii* python-semanage******************************
2.0.24-1************************ Python bindings* for SELinux policy
manipula

ii* python-serial********************************
2.2-4*************************** Module encapsulating access for the
serial p

ii* python-sip4**********************************
4.7.4-1************************* Python/C++ bindings generator runtime
librar

ii* python-soappy********************************
0.12.0-2************************ SOAP Support for Python

rc* python-subversion****************************
1.4.6dfsg1-2******************** Python bindings for Subversion

ii* python-support*******************************
0.8.1*************************** automated rebuilding support for
Python modu

ii* python-tk************************************
2.5.2-1************************* Tkinter - Writing Tk applications with
Pytho

ii* python-twisted*******************************
8.0.1-1************************* Event-based framework for internet
applicati

ii* python-twisted-bin***************************
8.0.1-1************************* Event-based framework for internet
applicati

ii* python-twisted-conch*************************
1:8.0.0-1*********************** The Twisted SSH Implementation

ii* python-twisted-core**************************
8.0.1-1************************* Event-based framework for internet
applicati

ii* python-twisted-lore**************************
8.0.0-1************************* Documentation generator with HTML and
LaTeX

ii* python-twisted-mail**************************
8.0.0-1************************* An SMTP, IMAP and POP protocol
implementatio

ii* python-twisted-names*************************
8.0.0-1************************* A DNS protocol implementation with
client an

ii* python-twisted-news**************************
8.0.0-1************************* An NNTP protocol implementation with
client

ii* python-twisted-runner************************
8.0.0-1************************* Process management, including an inetd
serve

ii* python-twisted-web***************************
8.0.0-1************************* An HTTP protocol implementation
together wit

ii* python-twisted-words*************************
8.0.0-1************************* Chat and Instant Messaging

ii* python-tz************************************
2008b-3************************* Python version of the Olson timezone
databas

ii* python-utidylib******************************
0.2-3.2************************* Python wrapper for TidyLib

ii* python-xdg***********************************
0.15-1.1************************ A python library to access
freedesktop.org s

ii* python-xlib**********************************
0.14-1************************** Interface for Python to the X11
Protocol

ii* python-xml***********************************
0.8.4-10************************ XML tools for Python

ii* python-zopeinterface*************************
3.3.1-6************************* The implementation of interface
definitions

ii* python2.4************************************
2.4.5-2************************* An interactive high-level
object-oriented la

ii* python2.4-dev********************************
2.4.5-2************************* Header files and a static library for
Python

ii* python2.4-minimal****************************
2.4.5-2************************* A minimal subset of the Python
language (ver

ii* python2.5************************************
2.5.2-5************************* An interactive high-level
object-oriented la

ii* python2.5-dev********************************
2.5.2-5************************* Header files and a static library for
Python

ii* python2.5-minimal****************************
2.5.2-5************************* A minimal subset of the Python
language (ver

ii* sepolgen*************************************
1.0.11-1************************ A Python module used in SELinux policy
gener

nn@Koad:~$



Someone have ideia how to solve this problem(s) ?



Thanks a lot
 
Old 05-22-2008, 03:48 PM
Dark Nebula
 
Default Python problems with a lot of applications.

*
*Hi, with those commands i get:*



nn@Koad:~$ python
Python 2.5.2 (r252:60911, Apr 5 2008, 16:44:07)
[GCC 4.2.3 (Debian 4.2.3-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import sys
>>> print sys.path
[', '/usr/local/lib/python25.zip', '/usr/local/lib/python2.5',
'/usr/local/lib/python2.5/plat-linux2',
'/usr/local/lib/python2.5/lib-tk',
'/usr/local/lib/python2.5/lib-dynload',
'/usr/local/lib/python2.5/site-packages']

>>>

nn@Koad:~$ ls -l /usr/share/python-support/python-gobject/pygtk.py
-rw-r--r-- 1 root root 2946 2008-05-16 13:29
/usr/share/python-support/python-gobject/pygtk.py

nn@Koad:~$

*

*nn@Koad:~$ ls /var/lib/python-support
python2.4 python2.5
nn@Koad:~$ *


*nn@Koad:~$ find /var/lib/python-support -name pygtk.pyc
/var/lib/python-support/python2.5/pygtk.pyc
/var/lib/python-support/python2.4/pygtk.pyc
nn@Koad:~$ *

thanks

Daniel Burrows wrote:

On Thu, May 22, 2008 at 03:46:29PM +0100, Dark Nebula <x03@shango.hopto.org> was heard to say:

I have a lot of "applications" broken, and seems the problem is all the
same, i suppose.

for example when i try launch the applet "gmail-notify" i get:

*nn@Koad:~$ gmail-notify
Traceback (most recent call last):
File "./notifier.py", line 4, in <module>
import pygtk
ImportError: No module named pygtk
nn@Koad:~$


[sbip]

ii python-gobject 2.14.1-6
Python bindings for the GObject library
ii python-gobject-dev 2.14.1-6
Development headers for the GObject Python b


[snip]

Does the file

/usr/share/python-support/python-gobject/pygtk.py

exist on your system?

What do these commands output?

ls /var/lib/python-support
find /var/lib/python-support name pygtk.pyc

Daniel






--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 05-22-2008, 05:11 PM
Axel Freyn
 
Default Python problems with a lot of applications.

Hi Dark,
On Thu, May 22, 2008 at 04:48:32PM +0100, Dark Nebula wrote:
>
> nn@Koad:~$ python
> Python 2.5.2 (r252:60911, Apr 5 2008, 16:44:07)
> [GCC 4.2.3 (Debian 4.2.3-3)] on linux2
> Type "help", "copyright", "credits" or "license" for more information.
> >>> import sys
> >>> print sys.path
> [', '/usr/local/lib/python25.zip', '/usr/local/lib/python2.5',
> '/usr/local/lib/python2.5/plat-linux2',
> '/usr/local/lib/python2.5/lib-tk',
> '/usr/local/lib/python2.5/lib-dynload',
> '/usr/local/lib/python2.5/site-packages']
> >>>
That's strange - on my machine, everything is installed in /usr/lib, not in
/usr/local/lib. Nevertheless, the path is missing, the modules seem to be installed.
If you do in python

import sys
sys.path.append("/var/lib/python-support/python2.5/")
sys.path.append("/usr/lib/python-support/python2.5/")
import pygtk

python should import pygtk, and everything should work.
To make this setting permanent, add the lines

/var/lib/python-support/python2.5
gtk-2.0
/var/lib/python-support/python2.5/gtk-2.0

to the file
/usr/local/lib/python2.5/site-packages/python-support.pth (if it does not exist
already, create it)
This file should be sourced each time python is executed.

But: probably, you should reinstall python, because on my machine, python is
installed in /usr, and not in /usr/local. Do you have /usr/bin/python2.5? What
happens, if you start it, and execute the

import sys
print sys.path
import pygtk

then?

Axel


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 05-22-2008, 07:12 PM
Ron Johnson
 
Default Python problems with a lot of applications.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 05/22/08 12:11, Axel Freyn wrote:
> Hi Dark,
> On Thu, May 22, 2008 at 04:48:32PM +0100, Dark Nebula wrote:
>> nn@Koad:~$ python
>> Python 2.5.2 (r252:60911, Apr 5 2008, 16:44:07)
>> [GCC 4.2.3 (Debian 4.2.3-3)] on linux2
>> Type "help", "copyright", "credits" or "license" for more information.
>>>>> import sys
>>>>> print sys.path
>> [', '/usr/local/lib/python25.zip', '/usr/local/lib/python2.5',
>> '/usr/local/lib/python2.5/plat-linux2',
>> '/usr/local/lib/python2.5/lib-tk',
>> '/usr/local/lib/python2.5/lib-dynload',
>> '/usr/local/lib/python2.5/site-packages']
>>
> That's strange - on my machine, everything is installed in /usr/lib, not in

Not strange if he's installed non-Debian stuff.

So, the question is: what non-Debian stuff have you installed?

- --
Ron Johnson, Jr.
Jefferson LA USA

ESPN makes baseball players better.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFINcWmS9HxQb37XmcRAqxkAJwLB4s2EPGRAJmSLIrUpe 0XxYkyLQCgwDwO
wD9Qre6zDWEHJ28+bCdn7Ek=
=lGy7
-----END PGP SIGNATURE-----


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 05-22-2008, 07:59 PM
Dark Nebula
 
Default Python problems with a lot of applications.

hallo Axel,



yes i have the file:

nn@Koad:~$ ls -l /usr/bin/python2.5

-rwxr-xr-x 1 root root 1174932 2008-05-15 18:36 /usr/bin/python2.5

nn@Koad:~$



the import seems ok:



nn@Koad:~$ python

Python 2.5.2 (r252:60911, Apr* 5 2008, 16:44:07)

[GCC 4.2.3 (Debian 4.2.3-3)] on linux2

Type "help", "copyright", "credits" or "license" for more information.

>>> import sys

>>> sys.path.append("/var/lib/python-support/python2.5/")

>>> sys.path.append("/var/lib/python-support/python2.5/")

>>> import pygtk

>>> quit()

nn@Koad:~$



nn@Koad:~$ /usr/bin/python2.5

Python 2.5.2 (r252:60911, May 15 2008, 17:59:19)

[GCC 4.3.1 20080501 (prerelease)] on linux2

Type "help", "copyright", "credits" or "license" for more information.

>>> import sys

>>> print sys.path

[', '/usr/lib/python25.zip', '/usr/lib/python2.5',
'/usr/lib/python2.5/plat-linux2', '/usr/lib/python2.5/lib-tk',
'/usr/lib/python2.5/lib-dynload',
'/usr/local/lib/python2.5/site-packages',
'/usr/lib/python2.5/site-packages',
'/usr/lib/python2.5/site-packages/Numeric',
'/usr/lib/python2.5/site-packages/PIL',
'/usr/lib/python2.5/site-packages/gst-0.10',
'/var/lib/python-support/python2.5',
'/var/lib/python-support/python2.5/gtk-2.0']

>>> import pygtk

>>>

>>> quit()

nn@Koad:~$



the result is :

nn@Koad:~$ gmail-notify

Traceback (most recent call last):

* File "./notifier.py", line 4, in <module>

*** import pygtk

ImportError: No module named pygtk

nn@Koad:~$



i tryed reintall python2.5 with:

Koad:~# apt-get --reinstall install python2.5

but the same error















Axel Freyn wrote:

Hi Dark,
On Thu, May 22, 2008 at 04:48:32PM +0100, Dark Nebula wrote:


nn@Koad:~$ python
Python 2.5.2 (r252:60911, Apr 5 2008, 16:44:07)
[GCC 4.2.3 (Debian 4.2.3-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.




import sys
print sys.path




[', '/usr/local/lib/python25.zip', '/usr/local/lib/python2.5',
'/usr/local/lib/python2.5/plat-linux2',
'/usr/local/lib/python2.5/lib-tk',
'/usr/local/lib/python2.5/lib-dynload',
'/usr/local/lib/python2.5/site-packages']


That's strange - on my machine, everything is installed in /usr/lib, not in
/usr/local/lib. Nevertheless, the path is missing, the modules seem to be installed.
If you do in python

import sys
sys.path.append("/var/lib/python-support/python2.5/")
sys.path.append("/usr/lib/python-support/python2.5/")
import pygtk

python should import pygtk, and everything should work.
To make this setting permanent, add the lines

/var/lib/python-support/python2.5
gtk-2.0
/var/lib/python-support/python2.5/gtk-2.0

to the file
/usr/local/lib/python2.5/site-packages/python-support.pth (if it does not exist
already, create it)
This file should be sourced each time python is executed.

But: probably, you should reinstall python, because on my machine, python is
installed in /usr, and not in /usr/local. Do you have /usr/bin/python2.5? What
happens, if you start it, and execute the

import sys
print sys.path
import pygtk

then?

Axel
 
Old 05-22-2008, 08:22 PM
Dark Nebula
 
Default Python problems with a lot of applications.

hallo Ron,

The only package that i installed "by hand" is Vadafone mobile card
driver that uses python yes,

but this application runs ok.

I install via dpkg the *.deb .



Ron Johnson wrote:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 05/22/08 12:11, Axel Freyn wrote:


Hi Dark,
On Thu, May 22, 2008 at 04:48:32PM +0100, Dark Nebula wrote:


nn@Koad:~$ python
Python 2.5.2 (r252:60911, Apr 5 2008, 16:44:07)
[GCC 4.2.3 (Debian 4.2.3-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.


import sys
print sys.path

[', '/usr/local/lib/python25.zip', '/usr/local/lib/python2.5',
'/usr/local/lib/python2.5/plat-linux2',
'/usr/local/lib/python2.5/lib-tk',
'/usr/local/lib/python2.5/lib-dynload',
'/usr/local/lib/python2.5/site-packages']




That's strange - on my machine, everything is installed in /usr/lib, not in



Not strange if he's installed non-Debian stuff.

So, the question is: what non-Debian stuff have you installed?

- --
Ron Johnson, Jr.
Jefferson LA USA

ESPN makes baseball players better.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFINcWmS9HxQb37XmcRAqxkAJwLB4s2EPGRAJmSLIrUpe 0XxYkyLQCgwDwO
wD9Qre6zDWEHJ28+bCdn7Ek=
=lGy7
-----END PGP SIGNATURE-----






--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 05-23-2008, 07:21 AM
Axel Freyn
 
Default Python problems with a lot of applications.

Hi dark,
On Thu, May 22, 2008 at 08:59:29PM +0100, Dark Nebula wrote:
> hallo Axel,
>
> yes i have the file:
> nn@Koad:~$ ls -l /usr/bin/python2.5
> -rwxr-xr-x 1 root root 1174932 2008-05-15 18:36 /usr/bin/python2.5
> nn@Koad:~$

Well, I think I know your error: the vodaphone package, which you installed,
came probably together with another python interpreter. This second python is
installed in /usr/local/bin/python. According to your path, "/usr/local/bin"
is searched before "/usr/bin". So, when you start "python",
"/usr/local/bin/python" is executed - instead of "/usr/bin/python". As these
two python interpreters have separated search pathes ("sys.path" in the
python-interpreter), each one finds different modules. And the gtk-stuff is
installed correctly in a place, which is found by "/usr/bin/python", but not by
"/usr/local/bin/python". So the easiest might be to remove the second
python-installation, and to copy the appropriate module files to a place where
the standard-Debian-installation can find them. The configuration for the
python-search path is documented in
http://docs.python.org/lib/module-site.html
You can try to modify the appropriate files, to let the second python
interpreter find the other files - I think, a file
/usr/local/lib/python2.5/site-packages/python-support.pth with the contents

/var/lib/python-support/python2.5
gtk-2.0
/var/lib/python-support/python2.5/gtk-2.0


should do it for gtk. But having to python-interpreters will probably result in
the same problem with other modules ...

Axel


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 

Thread Tools




All times are GMT. The time now is 05:26 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org